commit 368975a120abc888d330aeacd7d0c81e6ce36968
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Fri Oct 1 02:17:57 2021

    Daily bump.

diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index 93df3df6202..5e336099670 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20210930
+20211001
diff --git a/gcc/ada/ChangeLog b/gcc/ada/ChangeLog
index 07ad1268923..f913b4d7e6f 100644
--- a/gcc/ada/ChangeLog
+++ b/gcc/ada/ChangeLog
@@ -1,3 +1,83 @@
+2021-09-30  Eric Botcazou  <ebotcazou@adacore.com>
+
+	* libgnat/s-dwalin.adb (Parse_Header): Tweak comments.
+	(Read_Entry_Format_Array): Tweak exception message.
+	(Symbolic_Address.Set_Result): Likewise.
+
+2021-09-30  Eric Botcazou  <ebotcazou@adacore.com>
+
+	* libgnat/s-dwalin.adb (To_File_Name): Fetch only the last string
+	from the .debug_line_str section.
+	(Symbolic_Address.Set_Result): Likewise.
+
+2021-09-30  Eric Botcazou  <ebotcazou@adacore.com>
+
+	* libgnat/s-dwalin.adb (Skip_Form): Fix cases of DW_FORM_addrx
+	and DW_FORM_implicit_const.  Replace Constraint_Error with
+	Dwarf_Error.
+
+2021-09-30  Eric Botcazou  <ebotcazou@adacore.com>
+
+	* libgnat/s-objrea.adb (Get_Load_Address): Return 0 for ELF.
+
+2021-09-30  Eric Botcazou  <ebotcazou@adacore.com>
+
+	* adaint.c (__gnat_get_executable_load_address): Add Win32 support.
+	* libgnat/s-objrea.ads (Get_Xcode_Bounds): Fix typo in comment.
+	(Object_File): Minor reformatting.
+	(ELF_Object_File): Uncomment predicate.
+	(PECOFF_Object_File): Likewise.
+	(XCOFF32_Object_File): Likewise.
+	* libgnat/s-objrea.adb: Minor reformatting throughout.
+	(Get_Load_Address): Implement for PE-COFF.
+	* libgnat/s-dwalin.ads: Remove clause for System.Storage_Elements
+	and use consistent wording in comments.
+	(Dwarf_Context): Set type of Low, High and Load_Address to Address.
+	* libgnat/s-dwalin.adb (Get_Load_Displacement): New function.
+	(Is_Inside): Call Get_Load_Displacement.
+	(Low_Address): Likewise.
+	(Open): Adjust to type change.
+	(Aranges_Lookup): Change type of Addr to Address.
+	(Read_Aranges_Entry): Likewise for Start and adjust.
+	(Enable_Cach): Adjust to type change.
+	(Symbolic_Address): Change type of Addr to Address.
+	(Symbolic_Traceback): Call Get_Load_Displacement.
+
+2021-09-30  Eric Botcazou  <ebotcazou@adacore.com>
+
+	* libgnat/s-dwalin.ads: Remove clause for Ada.Exceptions.Traceback,
+	add clause for System.Traceback_Entries and alphabetize.
+	(AET): Delete.
+	(STE): New package renaming.
+	(Symbolic_Traceback): Adjust.
+	* libgnat/s-dwalin.adb: Remove clauses for Ada.Exceptions.Traceback
+	and System.Traceback_Entries.
+	(Symbolic_Traceback): Adjust.
+
+2021-09-30  Eric Botcazou  <ebotcazou@adacore.com>
+
+	* libgnat/s-dwalin.ads: Adjust a few comments left and right.
+	(Line_Info_Register): Comment out unused components.
+	(Line_Info_Header): Add DWARF 5 support.
+	(Dwarf_Context): Likewise.  Rename "prologue" into "header".
+	* libgnat/s-dwalin.adb: Alphabetize "with" clauses.
+	(DWARF constants): Add DWARF 5 support and reorder.
+	(For_Each_Row): Adjust.
+	(Initialize_Pass): Likewise.
+	(Initialize_State_Machine): Likewise and fix typo.
+	(Open): Add DWARF 5 support.
+	(Parse_Prologue): Rename into...
+	(Parse_Header): ...this and add DWARF 5 support.
+	(Read_And_Execute_Isn): Rename into...
+	(Read_And_Execute_Insn): ...this and adjust.
+	(To_File_Name): Change parameter name and add DWARF 5 support.
+	(Read_Entry_Format_Array): New procedure.
+	(Skip_Form): Add DWARF 5 support and reorder.
+	(Seek_Abbrev): Do not count entries and add DWARF 5 support.
+	(Debug_Info_Lookup): Add DWARF 5 support.
+	(Symbolic_Address.Set_Result): Likewise.
+	(Symbolic_Address): Adjust.
+
 2021-09-14  Eric Botcazou  <ebotcazou@adacore.com>
 
 	PR ada/101970
diff --git a/gcc/fortran/ChangeLog b/gcc/fortran/ChangeLog
index 9c1675356dd..02f702352ce 100644
--- a/gcc/fortran/ChangeLog
+++ b/gcc/fortran/ChangeLog
@@ -1,3 +1,11 @@
+2021-09-30  Harald Anlauf  <anlauf@gmx.de>
+
+	Backported from master:
+	2021-09-29  Harald Anlauf  <anlauf@gmx.de>
+
+	PR fortran/102520
+	* array.c (expand_constructor): Do not dereference NULL pointer.
+
 2021-09-21  Harald Anlauf  <anlauf@gmx.de>
 
 	Backported from master:
diff --git a/gcc/testsuite/ChangeLog b/gcc/testsuite/ChangeLog
index 8954516bb41..10bea36791f 100644
--- a/gcc/testsuite/ChangeLog
+++ b/gcc/testsuite/ChangeLog
@@ -1,3 +1,11 @@
+2021-09-30  Harald Anlauf  <anlauf@gmx.de>
+
+	Backported from master:
+	2021-09-29  Harald Anlauf  <anlauf@gmx.de>
+
+	PR fortran/102520
+	* gfortran.dg/pr102520.f90: New test.
+
 2021-09-29  Peter Bergner  <bergner@linux.ibm.com>
 
 	Backported from master:

